package net.minecraft.network.protocol.status;

import net.minecraft.network.PacketListener;
import java.io.IOException;
import net.minecraft.network.FriendlyByteBuf;
import net.minecraft.network.protocol.Packet;

public class ClientboundPongResponsePacket implements Packet<ClientStatusPacketListener> {
    private long time;
    
    public ClientboundPongResponsePacket() {
    }
    
    public ClientboundPongResponsePacket(final long long1) {
        this.time = long1;
    }
    
    @Override
    public void read(final FriendlyByteBuf mg) throws IOException {
        this.time = mg.readLong();
    }
    
    @Override
    public void write(final FriendlyByteBuf mg) throws IOException {
        mg.writeLong(this.time);
    }
    
    @Override
    public void handle(final ClientStatusPacketListener ti) {
        ti.handlePongResponse(this);
    }
}
